package org.sonar.commons.database;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import java.sql.Connection;
import java.sql.SQLException;

public interface DatabaseConnector {
  boolean isStarted();
  void start();
  void stop();
  public Connection getConnection() throws SQLException;
  EntityManagerFactory getEntityManagerFactory();
  EntityManager createEntityManager();
  void dumpStatistics();
}
