package org.sonar.commons.database;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.UniqueConstraint;

@Entity
@Table(name = SchemaInfo.TABLE_NAME, uniqueConstraints = { @UniqueConstraint( columnNames={"version"} ) } )
public class SchemaInfo {

  public final static String TABLE_NAME = "schema_info";

  @Id
  @Column(name = "version", updatable = true )
  private Integer version;

  public Integer getVersion() {
    return version;
  }

  public void setVersion( Integer version ) {
    this.version = version;
  }

}